도형 선 종류를 변경할 수 있으며, 겹선 종류를 사용할 수 있습니다.
window.onload = function () {
var spread = new GC.Spread.Sheets.Workbook(document.getElementById("ss"), { sheetCount: 1 });
initSpread(spread);
};
function initSpread(spread) {
let sheet = spread.getActiveSheet();
var rectangle = sheet.shapes.add('rectangle', GC.Spread.Sheets.Shapes.AutoShapeType.rectangle, 100, 50, 200, 100);
var shapeStyle1 = rectangle.style();
shapeStyle1.fill.color = '#FFE4B3';
shapeStyle1.line.color = "black";
shapeStyle1.line.width = 10;
shapeStyle1.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.simple;
rectangle.style(shapeStyle1);
var sun = sheet.shapes.add('rightArrow', GC.Spread.Sheets.Shapes.AutoShapeType.rightArrow, 400, 50, 200, 100);
var shapeStyle2 = sun.style();
shapeStyle2.fill.color = '#FFE4B3';
shapeStyle2.line.color = "black";
shapeStyle2.line.width = 10;
shapeStyle2.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.double;
sun.style(shapeStyle2);
var cloudCallout = sheet.shapes.add('hexagon', GC.Spread.Sheets.Shapes.AutoShapeType.hexagon, 100, 200, 200, 100);
var shapeStyle3 = cloudCallout.style();
shapeStyle3.fill.color = '#FFE4B3';
shapeStyle3.line.color = "black";
shapeStyle3.line.width = 10;
shapeStyle3.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.thickThin;
cloudCallout.style(shapeStyle3);
var mathMultiply = sheet.shapes.add('mathMultiply', GC.Spread.Sheets.Shapes.AutoShapeType.mathMultiply, 400, 200, 200, 100);
var shapeStyle4 = mathMultiply.style();
shapeStyle4.fill.color = '#FFE4B3';
shapeStyle4.line.color = "black";
shapeStyle4.line.width = 10;
shapeStyle4.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.thinThick;
mathMultiply.style(shapeStyle4);
var explosion2 = sheet.shapes.add('cross', GC.Spread.Sheets.Shapes.AutoShapeType.cross, 100, 350, 200, 100);
var shapeStyle5 = explosion2.style();
shapeStyle5.fill.color = '#FFE4B3';
shapeStyle5.line.color = "black";
shapeStyle5.line.width = 10;
shapeStyle5.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.triple;
explosion2.style(shapeStyle5);
document.querySelector('#changeCompoundType').addEventListener('change', function (e) {
switch (e.target.value) {
case '0':
setCompoundType(spread, GC.Spread.Sheets.Shapes.CompoundType.simple);
return;
case '1':
setCompoundType(spread, GC.Spread.Sheets.Shapes.CompoundType.double);
return;
case '2':
setCompoundType(spread, GC.Spread.Sheets.Shapes.CompoundType.thickThin);
return;
case '3':
setCompoundType(spread, GC.Spread.Sheets.Shapes.CompoundType.thinThick);
return;
case '4':
setCompoundType(spread, GC.Spread.Sheets.Shapes.CompoundType.triple);
return;
default:
return;
}
});
sheet.bind(GC.Spread.Sheets.Events.ShapeSelectionChanged, function () {
sheet.shapes.all().forEach(function (sp) {
if (sp.isSelected() && sp instanceof GC.Spread.Sheets.Shapes.Shape) {
document.querySelector('#changeCompoundType').value = sp.style().line.compoundType;
}
});
});
}
function setCompoundType(spread, value) {
let activeSheet = spread.getActiveSheet();
let shapes = activeSheet.shapes.all();
for (let i = 0; i < shapes.length; i++) {
let shape = shapes[i];
if (shape.isSelected()) {
var shapeStyle = shape.style();
shapeStyle.line.compoundType = value;
shape.style(shapeStyle);
}
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta name="spreadjs culture" content="ko-kr"/>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css"
href="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<script src="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets/dist/gc.spread.sheets.all.min.js"
type="text/javascript"></script>
<script src="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets-shapes/dist/gc.spread.sheets.shapes.min.js"
type="text/javascript"></script>
<script src="$DEMOROOT$/ko/purejs/node_modules/@mescius/spread-sheets-resources-ko/dist/gc.spread.sheets.resources.ko.min.js" type="text/javascript"></script>
<script src="$DEMOROOT$/spread/source/js/license.js" type="text/javascript"></script>
<script src="app.js" type="text/javascript"></script>
<link rel="stylesheet" type="text/css" href="styles.css">
</head>
<body>
<div class="sample-tutorial">
<div id="ss" class="sample-spreadsheets"></div>
<div class="options-container">
<div class="option-row">
Select a shape then change the line format to see the effect:
</div>
<hr />
<div class="option-row">
<label>Change Shapes line, use different compound type</label>
<select id="changeCompoundType">
<option value="0" selected>Simple</option>
<option value="1">Double</option>
<option value="2">Thick Thin</option>
<option value="3">Thin Thick</option>
<option value="4">Triple</option>
</select>
<br />
</div>
</div>
</div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 5px;
}
.sample-options {
z-index: 1000;
}
label {
display: block;
margin-bottom: 6px;
}
p{
padding:2px 10px;
background-color:#F4F8EB;
}
input {
padding: 4px 6px;
width: 160px;
}
input[type=button] {
margin-top: 6px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}

도형 선 종류를 변경할 수 있으며, 겹선 종류를 사용할 수 있습니다.
import * as React from 'react';
import * as ReactDOM from 'react-dom';
import './styles.css';
import { AppFunc } from './app-func';
// import { App } from './app-class';
// 1. Functional Component sample
ReactDOM.render(<AppFunc />, document.getElementById('app'));
// 2. Class Component sample
// ReactDOM.render(<App />, document.getElementById('app'));
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import "@mescius/spread-sheets-shapes";
import { SpreadSheets } from "@mescius/spread-sheets-react";
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
let spread = null;
export function AppFunc() {
const [compoundType, setCompoundType] = React.useState(GC.Spread.Sheets.Shapes.CompoundType.simple);
const initSpread = (currSpread) => {
spread = currSpread;
let sheet = spread.getActiveSheet();
var rectangle = sheet.shapes.add('rectangle', GC.Spread.Sheets.Shapes.AutoShapeType.rectangle, 100, 50, 200, 100);
var shapeStyle1 = rectangle.style();
shapeStyle1.fill.color = '#FFE4B3';
shapeStyle1.line.color = "black";
shapeStyle1.line.width = 10;
shapeStyle1.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.simple;
rectangle.style(shapeStyle1);
var rightArrow = sheet.shapes.add('rightArrow', GC.Spread.Sheets.Shapes.AutoShapeType.rightArrow, 400, 50, 200, 100);
var shapeStyle2 = rightArrow.style();
shapeStyle2.fill.color = '#FFE4B3';
shapeStyle2.line.color = "black";
shapeStyle2.line.width = 10;
shapeStyle2.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.double;
rightArrow.style(shapeStyle2);
var hexagon = sheet.shapes.add('hexagon', GC.Spread.Sheets.Shapes.AutoShapeType.hexagon, 100, 200, 200, 100);
var shapeStyle3 = hexagon.style();
shapeStyle3.fill.color = '#FFE4B3';
shapeStyle3.line.color = "black";
shapeStyle3.line.width = 10;
shapeStyle3.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.thickThin;
hexagon.style(shapeStyle3);
var mathMultiply = sheet.shapes.add('mathMultiply', GC.Spread.Sheets.Shapes.AutoShapeType.mathMultiply, 400, 200, 200, 100);
var shapeStyle4 = mathMultiply.style();
shapeStyle4.fill.color = '#FFE4B3';
shapeStyle4.line.color = "black";
shapeStyle4.line.width = 10;
shapeStyle4.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.thinThick;
mathMultiply.style(shapeStyle4);
var cross = sheet.shapes.add('cross', GC.Spread.Sheets.Shapes.AutoShapeType.cross, 100, 350, 200, 100);
var shapeStyle5 = cross.style();
shapeStyle5.fill.color = '#FFE4B3';
shapeStyle5.line.color = "black";
shapeStyle5.line.width = 10;
shapeStyle5.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.triple;
cross.style(shapeStyle5);
sheet.bind(GC.Spread.Sheets.Events.ShapeSelectionChanged, () => {
sheet.shapes.all().forEach((sp) => {
if (sp.isSelected() && sp instanceof GC.Spread.Sheets.Shapes.Shape) {
setCompoundType(sp.style().line.compoundType);
}
});
});
}
const updateCompoundType = (e) => {
switch (e.target.value) {
case '0':
resetCompoundType(spread, GC.Spread.Sheets.Shapes.CompoundType.simple);
setCompoundType(GC.Spread.Sheets.Shapes.CompoundType.simple);
return;
case '1':
resetCompoundType(spread, GC.Spread.Sheets.Shapes.CompoundType.double);
setCompoundType(GC.Spread.Sheets.Shapes.CompoundType.double);
return;
case '2':
resetCompoundType(spread, GC.Spread.Sheets.Shapes.CompoundType.thickThin);
setCompoundType(GC.Spread.Sheets.Shapes.CompoundType.thickThin);
return;
case '3':
resetCompoundType(spread, GC.Spread.Sheets.Shapes.CompoundType.thinThick);
setCompoundType(GC.Spread.Sheets.Shapes.CompoundType.thinThick);
return;
case '4':
resetCompoundType(spread, GC.Spread.Sheets.Shapes.CompoundType.triple);
setCompoundType(GC.Spread.Sheets.Shapes.CompoundType.triple);
return;
default:
return;
}
}
const resetCompoundType = (spread, value) => {
let activeSheet = spread.getActiveSheet();
let shapes = activeSheet.shapes.all();
for (let i = 0; i < shapes.length; i++) {
let shape = shapes[i];
if (shape.isSelected()) {
var shapeStyle = shape.style();
shapeStyle.line.compoundType = value;
shape.style(shapeStyle);
}
}
}
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => initSpread(spread)}>
</SpreadSheets>
</div>
<div class="options-container">
<div class="option-row">
Select a shape then change the line format to see the effect:
</div>
<hr />
<div class="option-row">
<label>Change Shapes line, use different compound type</label>
<select id="changeCompoundType" value={compoundType} onChange={($event) => { updateCompoundType($event); }}>
<option value="0" selected>Simple</option>
<option value="1">Double</option>
<option value="2">Thick Thin</option>
<option value="3">Thin Thick</option>
<option value="4">Triple</option>
</select>
<br />
</div>
</div>
</div>);
}
import * as React from 'react';
import GC from '@mescius/spread-sheets';
import "@mescius/spread-sheets-shapes";
import { SpreadSheets } from "@mescius/spread-sheets-react";
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
const Component = React.Component;
export class App extends Component {
constructor(props) {
super(props);
this.spread = null;
this.state = {
compoundType: GC.Spread.Sheets.Shapes.CompoundType.simple,
}
}
render() {
return (
<div class="sample-tutorial">
<div class="sample-spreadsheets">
<SpreadSheets workbookInitialized={spread => this.initSpread(spread)}>
</SpreadSheets>
</div>
<div class="options-container">
<div class="option-row">
Select a shape then change the line format to see the effect:
</div>
<hr />
<div class="option-row">
<label>Change Shapes line, use different compound type</label>
<select id="changeCompoundType" value={this.state.compoundType} onChange={($event) => { this.updateCompoundType($event); }}>
<option value="0" selected>Simple</option>
<option value="1">Double</option>
<option value="2">Thick Thin</option>
<option value="3">Thin Thick</option>
<option value="4">Triple</option>
</select>
<br />
</div>
</div>
</div>);
}
initSpread(spread) {
let self = this;
self.spread = spread;
let sheet = spread.getActiveSheet();
var rectangle = sheet.shapes.add('rectangle', GC.Spread.Sheets.Shapes.AutoShapeType.rectangle, 100, 50, 200, 100);
var shapeStyle1 = rectangle.style();
shapeStyle1.fill.color = '#FFE4B3';
shapeStyle1.line.color = "black";
shapeStyle1.line.width = 10;
shapeStyle1.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.simple;
rectangle.style(shapeStyle1);
var rightArrow = sheet.shapes.add('rightArrow', GC.Spread.Sheets.Shapes.AutoShapeType.rightArrow, 400, 50, 200, 100);
var shapeStyle2 = rightArrow.style();
shapeStyle2.fill.color = '#FFE4B3';
shapeStyle2.line.color = "black";
shapeStyle2.line.width = 10;
shapeStyle2.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.double;
rightArrow.style(shapeStyle2);
var hexagon = sheet.shapes.add('hexagon', GC.Spread.Sheets.Shapes.AutoShapeType.hexagon, 100, 200, 200, 100);
var shapeStyle3 = hexagon.style();
shapeStyle3.fill.color = '#FFE4B3';
shapeStyle3.line.color = "black";
shapeStyle3.line.width = 10;
shapeStyle3.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.thickThin;
hexagon.style(shapeStyle3);
var mathMultiply = sheet.shapes.add('mathMultiply', GC.Spread.Sheets.Shapes.AutoShapeType.mathMultiply, 400, 200, 200, 100);
var shapeStyle4 = mathMultiply.style();
shapeStyle4.fill.color = '#FFE4B3';
shapeStyle4.line.color = "black";
shapeStyle4.line.width = 10;
shapeStyle4.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.thinThick;
mathMultiply.style(shapeStyle4);
var cross = sheet.shapes.add('cross', GC.Spread.Sheets.Shapes.AutoShapeType.cross, 100, 350, 200, 100);
var shapeStyle5 = cross.style();
shapeStyle5.fill.color = '#FFE4B3';
shapeStyle5.line.color = "black";
shapeStyle5.line.width = 10;
shapeStyle5.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.triple;
cross.style(shapeStyle5);
sheet.bind(GC.Spread.Sheets.Events.ShapeSelectionChanged, () => {
sheet.shapes.all().forEach((sp) => {
if (sp.isSelected() && sp instanceof GC.Spread.Sheets.Shapes.Shape) {
self.setState({ compoundType: sp.style().line.compoundType });
}
});
});
}
updateCompoundType(e) {
switch (e.target.value) {
case '0':
this.setCompoundType(this.spread, GC.Spread.Sheets.Shapes.CompoundType.simple);
this.setState({ compoundType: GC.Spread.Sheets.Shapes.CompoundType.simple });
return;
case '1':
this.setCompoundType(this.spread, GC.Spread.Sheets.Shapes.CompoundType.double);
this.setState({ compoundType: GC.Spread.Sheets.Shapes.CompoundType.double });
return;
case '2':
this.setCompoundType(this.spread, GC.Spread.Sheets.Shapes.CompoundType.thickThin);
this.setState({ compoundType: GC.Spread.Sheets.Shapes.CompoundType.thickThin });
return;
case '3':
this.setCompoundType(this.spread, GC.Spread.Sheets.Shapes.CompoundType.thinThick);
this.setState({ compoundType: GC.Spread.Sheets.Shapes.CompoundType.thinThick });
return;
case '4':
this.setCompoundType(this.spread, GC.Spread.Sheets.Shapes.CompoundType.triple);
this.setState({ compoundType: GC.Spread.Sheets.Shapes.CompoundType.triple });
return;
default:
return;
}
}
setCompoundType(spread, value) {
let activeSheet = spread.getActiveSheet();
let shapes = activeSheet.shapes.all();
for (let i = 0; i < shapes.length; i++) {
let shape = shapes[i];
if (shape.isSelected()) {
var shapeStyle = shape.style();
shapeStyle.line.compoundType = value;
shape.style(shapeStyle);
}
}
}
}
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/react/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/ko/react/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('$DEMOROOT$/ko/lib/react/license.js').then(function () {
System.import('./src/app');
});
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 5px;
}
.sample-options {
z-index: 1000;
}
label {
display: block;
margin-bottom: 6px;
}
p{
padding:2px 10px;
background-color:#F4F8EB;
}
input {
padding: 4px 6px;
width: 160px;
}
input[type=button] {
margin-top: 6px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
#app {
height: 100%;
}
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true,
react: true
},
meta: {
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-react': 'npm:@mescius/spread-sheets-react/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'react': 'npm:react/umd/react.production.min.js',
'react-dom': 'npm:react-dom/umd/react-dom.production.min.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'jsx'
},
"node_modules": {
defaultExtension: 'js'
},
}
});
})(this);

도형 선 종류를 변경할 수 있으며, 겹선 종류를 사용할 수 있습니다.
<template>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" @workbookInitialized="initSpread">
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
Select a shape then change the line format to see the effect:
</div>
<hr />
<div class="option-row">
<label>Change Shapes line, use different compound type</label>
<select id="changeCompoundType" :value="compoundType" @change="updateCompoundType($event)">
<option value="0" selected>Simple</option>
<option value="1">Double</option>
<option value="2">Thick Thin</option>
<option value="3">Thin Thick</option>
<option value="4">Triple</option>
</select>
<br />
</div>
</div>
</template>
<script>
import Vue from "vue";
import "@mescius/spread-sheets-vue";
import "@mescius/spread-sheets-shapes";
import GC from "@mescius/spread-sheets";
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
let App = Vue.extend({
name: "app",
data: function () {
return {
spread: null,
compoundType: '0'
};
},
methods: {
initSpread(spread) {
var self = this;
self.spread = spread;
let sheet = spread.getActiveSheet();
var rectangle = sheet.shapes.add('rectangle', GC.Spread.Sheets.Shapes.AutoShapeType.rectangle, 100, 50, 200, 100);
var shapeStyle1 = rectangle.style();
shapeStyle1.fill.color = '#FFE4B3';
shapeStyle1.line.color = "black";
shapeStyle1.line.width = 10;
shapeStyle1.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.simple;
rectangle.style(shapeStyle1);
var rightArrow = sheet.shapes.add('rightArrow', GC.Spread.Sheets.Shapes.AutoShapeType.rightArrow, 400, 50, 200, 100);
var shapeStyle2 = rightArrow.style();
shapeStyle2.fill.color = '#FFE4B3';
shapeStyle2.line.color = "black";
shapeStyle2.line.width = 10;
shapeStyle2.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.double;
rightArrow.style(shapeStyle2);
var hexagon = sheet.shapes.add('hexagon', GC.Spread.Sheets.Shapes.AutoShapeType.hexagon, 100, 200, 200, 100);
var shapeStyle3 = hexagon.style();
shapeStyle3.fill.color = '#FFE4B3';
shapeStyle3.line.color = "black";
shapeStyle3.line.width = 10;
shapeStyle3.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.thickThin;
hexagon.style(shapeStyle3);
var mathMultiply = sheet.shapes.add('mathMultiply', GC.Spread.Sheets.Shapes.AutoShapeType.mathMultiply, 400, 200, 200, 100);
var shapeStyle4 = mathMultiply.style();
shapeStyle4.fill.color = '#FFE4B3';
shapeStyle4.line.color = "black";
shapeStyle4.line.width = 10;
shapeStyle4.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.thinThick;
mathMultiply.style(shapeStyle4);
var cross = sheet.shapes.add('cross', GC.Spread.Sheets.Shapes.AutoShapeType.cross, 100, 350, 200, 100);
var shapeStyle5 = cross.style();
shapeStyle5.fill.color = '#FFE4B3';
shapeStyle5.line.color = "black";
shapeStyle5.line.width = 10;
shapeStyle5.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.triple;
cross.style(shapeStyle5);
sheet.bind(GC.Spread.Sheets.Events.ShapeSelectionChanged, function () {
sheet.shapes.all().forEach(function (sp) {
if (sp.isSelected() && sp instanceof GC.Spread.Sheets.Shapes.Shape) {
self.compoundType = sp.style().line.compoundType;
}
});
});
},
setCompoundType(spread, value) {
let activeSheet = spread.getActiveSheet();
let shapes = activeSheet.shapes.all();
for (let i = 0; i < shapes.length; i++) {
let shape = shapes[i];
if (shape.isSelected()) {
var shapeStyle = shape.style();
shapeStyle.line.compoundType = value;
shape.style(shapeStyle);
}
}
},
updateCompoundType(e) {
switch (e.target.value) {
case '0':
this.setCompoundType(this.spread, GC.Spread.Sheets.Shapes.CompoundType.simple);
return;
case '1':
this.setCompoundType(this.spread, GC.Spread.Sheets.Shapes.CompoundType.double);
return;
case '2':
this.setCompoundType(this.spread, GC.Spread.Sheets.Shapes.CompoundType.thickThin);
return;
case '3':
this.setCompoundType(this.spread, GC.Spread.Sheets.Shapes.CompoundType.thinThick);
return;
case '4':
this.setCompoundType(this.spread, GC.Spread.Sheets.Shapes.CompoundType.triple);
return;
default:
return;
}
}
},
});
new Vue({
render: h => h(App)
}).$mount("#app");
</script>
<style scoped>
.sample-tutorial {
position: relative;
height: 100%;
overflow: hidden;
}
.sample-spreadsheets {
width: calc(100% - 280px);
height: 100%;
overflow: hidden;
float: left;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 5px;
}
.sample-options {
z-index: 1000;
}
label {
display: block;
margin-bottom: 6px;
}
p {
padding: 2px 10px;
background-color: #F4F8EB;
}
input {
padding: 4px 6px;
width: 160px;
}
input[type="button"] {
margin-top: 6px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
</style>
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/vue/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- SystemJS -->
<script src="$DEMOROOT$/ko/vue/node_modules/systemjs/dist/system.src.js"></script>
<script src="systemjs.config.js"></script>
<script>
System.import('./src/app.vue');
System.import('$DEMOROOT$/ko/lib/vue/license.js');
</script>
</head>
<body>
<div id="app"></div>
</body>
</html>
(function (global) {
System.config({
transpiler: 'plugin-babel',
babelOptions: {
es2015: true
},
meta: {
'*.css': { loader: 'css' },
'*.vue': { loader: 'vue-loader' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-vue': 'npm:@mescius/spread-sheets-vue/index.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js',
'jszip': 'npm:jszip/dist/jszip.js',
'css': 'npm:systemjs-plugin-css/css.js',
'vue': 'npm:vue/dist/vue.min.js',
'vue-loader': 'npm:systemjs-vue-browser/index.js',
'tiny-emitter': 'npm:tiny-emitter/index.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'js'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
}
}
});
})(this);

도형 선 종류를 변경할 수 있으며, 겹선 종류를 사용할 수 있습니다.
import { Component, NgModule, enableProdMode } from '@angular/core';
import { BrowserModule } from '@angular/platform-browser';
import { platformBrowserDynamic } from '@angular/platform-browser-dynamic';
import { SpreadSheetsModule } from '@mescius/spread-sheets-angular';
import GC from '@mescius/spread-sheets';
import "@mescius/spread-sheets-shapes";
import '@mescius/spread-sheets-resources-ko';
GC.Spread.Common.CultureManager.culture("ko-kr");
import './styles.css';
@Component({
selector: 'app-component',
templateUrl: 'src/app.component.html'
})
export class AppComponent {
spread: GC.Spread.Sheets.Workbook;
hostStyle = {
width: 'calc(100% - 280px)',
height: '100%',
overflow: 'hidden',
float: 'left'
};
compoundType = GC.Spread.Sheets.Shapes.CompoundType.simple;
initSpread($event: any) {
let spread = $event.spread, self = this;
self.spread = spread;
let sheet = spread.getActiveSheet();
var rectangle = sheet.shapes.add('rectangle', GC.Spread.Sheets.Shapes.AutoShapeType.rectangle, 100, 50, 200, 100);
var shapeStyle1 = rectangle.style();
shapeStyle1.fill.color = '#FFE4B3';
shapeStyle1.line.color = "black";
shapeStyle1.line.width = 10;
shapeStyle1.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.simple;
rectangle.style(shapeStyle1);
var rightArrow = sheet.shapes.add('rightArrow', GC.Spread.Sheets.Shapes.AutoShapeType.rightArrow, 400, 50, 200, 100);
var shapeStyle2 = rightArrow.style();
shapeStyle2.fill.color = '#FFE4B3';
shapeStyle2.line.color = "black";
shapeStyle2.line.width = 10;
shapeStyle2.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.double;
rightArrow.style(shapeStyle2);
var hexagon = sheet.shapes.add('hexagon', GC.Spread.Sheets.Shapes.AutoShapeType.hexagon, 100, 200, 200, 100);
var shapeStyle3 = hexagon.style();
shapeStyle3.fill.color = '#FFE4B3';
shapeStyle3.line.color = "black";
shapeStyle3.line.width = 10;
shapeStyle3.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.thickThin;
hexagon.style(shapeStyle3);
var mathMultiply = sheet.shapes.add('mathMultiply', GC.Spread.Sheets.Shapes.AutoShapeType.mathMultiply, 400, 200, 200, 100);
var shapeStyle4 = mathMultiply.style();
shapeStyle4.fill.color = '#FFE4B3';
shapeStyle4.line.color = "black";
shapeStyle4.line.width = 10;
shapeStyle4.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.thinThick;
mathMultiply.style(shapeStyle4);
var cross = sheet.shapes.add('cross', GC.Spread.Sheets.Shapes.AutoShapeType.cross, 100, 350, 200, 100);
var shapeStyle5 = cross.style();
shapeStyle5.fill.color = '#FFE4B3';
shapeStyle5.line.color = "black";
shapeStyle5.line.width = 10;
shapeStyle5.line.compoundType = GC.Spread.Sheets.Shapes.CompoundType.triple;
cross.style(shapeStyle5);
sheet.bind(GC.Spread.Sheets.Events.ShapeSelectionChanged, () => {
sheet.shapes.all().forEach((sp: any) => {
if (sp.isSelected() && sp instanceof GC.Spread.Sheets.Shapes.Shape) {
this.compoundType = sp.style().line.compoundType;
}
});
});
}
changeCompoundType(e: any): void {
switch (e.target.value) {
case '0':
this.setCompoundType(GC.Spread.Sheets.Shapes.CompoundType.simple);
return;
case '1':
this.setCompoundType(GC.Spread.Sheets.Shapes.CompoundType.double);
return;
case '2':
this.setCompoundType(GC.Spread.Sheets.Shapes.CompoundType.thickThin);
return;
case '3':
this.setCompoundType(GC.Spread.Sheets.Shapes.CompoundType.thinThick);
return;
case '4':
this.setCompoundType(GC.Spread.Sheets.Shapes.CompoundType.triple);
return;
default:
return;
}
}
setCompoundType(value: GC.Spread.Sheets.Shapes.CompoundType): void {
let activeSheet = this.spread.getActiveSheet();
let shapes = activeSheet.shapes.all();
for (let i = 0; i < shapes.length; i++) {
let shape = shapes[i];
if (shape.isSelected()) {
var shapeStyle = shape.style();
shapeStyle.line.compoundType = value;
shape.style(shapeStyle);
}
}
}
}
@NgModule({
imports: [BrowserModule, SpreadSheetsModule],
declarations: [AppComponent],
exports: [AppComponent],
bootstrap: [AppComponent]
})
export class AppModule { }
enableProdMode();
// Bootstrap application with hash style navigation and global services.
platformBrowserDynamic().bootstrapModule(AppModule);
<!doctype html>
<html style="height:100%;font-size:14px;">
<head>
<meta charset="utf-8" />
<meta name="viewport" content="width=device-width, initial-scale=1.0" />
<link rel="stylesheet" type="text/css" href="$DEMOROOT$/ko/angular/node_modules/@mescius/spread-sheets/styles/gc.spread.sheets.excel2013white.css">
<!-- Polyfills -->
<script src="$DEMOROOT$/ko/angular/node_modules/core-js/client/shim.min.js"></script>
<script src="$DEMOROOT$/ko/angular/node_modules/zone.js/fesm2015/zone.min.js"></script>
<!-- SystemJS -->
<script src="$DEMOROOT$/ko/angular/node_modules/systemjs/dist/system.js"></script>
<script src="systemjs.config.js"></script>
<script>
// workaround to load 'rxjs/operators' from the rxjs bundle
System.import('rxjs').then(function (m) {
System.import('@angular/compiler');
System.set(SystemJS.resolveSync('rxjs/operators'), System.newModule(m.operators));
System.import('$DEMOROOT$/ko/lib/angular/license.ts');
System.import('./src/app.component');
});
</script>
</head>
<body>
<app-component></app-component>
</body>
</html>
<div class="sample-tutorial">
<gc-spread-sheets class="sample-spreadsheets" [hostStyle]="hostStyle" (workbookInitialized)="initSpread($event)">
</gc-spread-sheets>
<div class="options-container">
<div class="option-row">
Select a shape then change the line format to see the effect:
</div>
<hr />
<div class="option-row">
<label>Change Shapes line, use different compound type</label>
<select id="changeCompoundType" (change)="changeCompoundType($event)" [value]="compoundType">
<option value="0" selected>Simple</option>
<option value="1">Double</option>
<option value="2">Thick Thin</option>
<option value="3">Thin Thick</option>
<option value="4">Triple</option>
</select>
<br />
</div>
</div>
</div>
.sample-tutorial {
position: relative;
width: 100%;
height: 100%;
overflow: hidden;
}
.options-container {
float: right;
width: 280px;
padding: 12px;
height: 100%;
box-sizing: border-box;
background: #fbfbfb;
overflow: auto;
}
.option-row {
font-size: 14px;
padding: 5px;
margin-top: 5px;
}
.sample-options {
z-index: 1000;
}
label {
display: block;
margin-bottom: 6px;
}
p{
padding:2px 10px;
background-color:#F4F8EB;
}
input {
padding: 4px 6px;
width: 160px;
}
input[type=button] {
margin-top: 6px;
display: block;
}
body {
position: absolute;
top: 0;
bottom: 0;
left: 0;
right: 0;
}
(function (global) {
System.config({
transpiler: 'ts',
typescriptOptions: {
tsconfig: true
},
meta: {
'typescript': {
"exports": "ts"
},
'*.css': { loader: 'css' }
},
paths: {
// paths serve as alias
'npm:': 'node_modules/'
},
// map tells the System loader where to look for things
map: {
'core-js': 'npm:core-js/client/shim.min.js',
'zone': 'npm:zone.js/fesm2015/zone.min.js',
'rxjs': 'npm:rxjs/dist/bundles/rxjs.umd.min.js',
'@angular/core': 'npm:@angular/core/fesm2022',
'@angular/common': 'npm:@angular/common/fesm2022/common.mjs',
'@angular/compiler': 'npm:@angular/compiler/fesm2022/compiler.mjs',
'@angular/platform-browser': 'npm:@angular/platform-browser/fesm2022/platform-browser.mjs',
'@angular/platform-browser-dynamic': 'npm:@angular/platform-browser-dynamic/fesm2022/platform-browser-dynamic.mjs',
'@angular/common/http': 'npm:@angular/common/fesm2022/http.mjs',
'@angular/router': 'npm:@angular/router/fesm2022/router.mjs',
'@angular/forms': 'npm:@angular/forms/fesm2022/forms.mjs',
'jszip': 'npm:jszip/dist/jszip.min.js',
'typescript': 'npm:typescript/lib/typescript.js',
'ts': './plugin.js',
'tslib':'npm:tslib/tslib.js',
'css': 'npm:systemjs-plugin-css/css.js',
'plugin-babel': 'npm:systemjs-plugin-babel/plugin-babel.js',
'systemjs-babel-build':'npm:systemjs-plugin-babel/systemjs-babel-browser.js',
'@mescius/spread-sheets': 'npm:@mescius/spread-sheets/index.js',
'@mescius/spread-sheets-shapes': 'npm:@mescius/spread-sheets-shapes/index.js',
'@mescius/spread-sheets-resources-ko': 'npm:@mescius/spread-sheets-resources-ko/index.js',
'@mescius/spread-sheets-angular': 'npm:@mescius/spread-sheets-angular/fesm2020/mescius-spread-sheets-angular.mjs',
'@grapecity/jsob-test-dependency-package/react-components': 'npm:@grapecity/jsob-test-dependency-package/react-components/index.js'
},
// packages tells the System loader how to load when no filename and/or no extension
packages: {
src: {
defaultExtension: 'ts'
},
rxjs: {
defaultExtension: 'js'
},
"node_modules": {
defaultExtension: 'js'
},
"node_modules/@angular": {
defaultExtension: 'mjs'
},
"@mescius/spread-sheets-angular": {
defaultExtension: 'mjs'
},
'@angular/core': {
defaultExtension: 'mjs',
main: 'core.mjs'
}
}
});
})(this);